LN(1)

NAMN
ln — skapa länkar mellan filer

SYNOPSIS
ln [FLAGGA]... [-T] MÅL LÄNKNAMN
ln [FLAGGA]... MÅL
ln [FLAGGA]... MÅL... KATALOG
ln [FLAGGA]... -t KATALOG MÅL...

BESKRIVNING

I det första formatet, skapa en länk till MÅL med namnet LÄNKNAMN. I det andra formatet, skapa en länk till MÅL i aktuell katalog. I de tredje och fjärde formaten, skapa länkar till varje MÅL i KATALOG. Skapa hårda länkar om inget annat anges, symboliska länkar med --symbolic. Normalt får varje destination (namn på ny länk) inte redan finnas. Symboliska länkar kan innehålla godtycklig text. Om de senare löses upp tolkas en relativ länk i förhållande till sin föräldrakatalog.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

--backup[=STYR]
    Gör en säkerhetskopia av varje befintlig destinationsfil.

-b  Som --backup men tar inget argument.

-d, -F, --directory
    Tillåt superanvändaren att försöka hårt länka kataloger (obs: detta kommer förmodligen misslyckas på grund av systemrestriktioner, även för superanvändaren).

-f, --force
    Ta bort befintliga destinationsfiler.

-i, --interactive
    Fråga om destinationer skall tas bort.

-L, --logical
    Följ MÅL som är symboliska länkar.

-n, --no-dereference
    Behandla LÄNKNAMN som en normal fil om det är en symbolisk länk till katalog.

-P, --physical
    Gör hårda länkar direkt till symboliska länkar.

-r, --relative
    Med -s, skapa länkar relativt länkpositionen.

-s, --symbolic
    Gör symboliska länkar istället för hårda länkar.

-S, --suffix=ÄNDELSE
    Ersätt den vanliga ändelsen för säkerhetskopior.

-t, --target-directory=KATALOG
    Ange KATALOG som länkarna skall skapas i.

-T, --no-target-directory
    Behandla alltid LÄNKNAMN som en vanlig fil.

-v, --verbose
    Skriv namnet på varje länkad fil.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Ändelsen på säkerhetskopior är ”~” om inte annat anges av --suffix eller SIMPLE_BACKUP_SUFFIX. Versionshanteringen kan styras med --backup-flaggan eller med miljövariabeln VERSION_CONTROL. Den kan ha följande värden:

none, off
    Gör aldrig säkerhetskopior (ens om --backup anges).

numbered, t
    Gör numrerade säkerhetskopior.

existing, nil
    Numrerade om det redan finns numrerade, annars enkla.

simple, never
    Gör alltid enkla säkerhetskopior.

Användning av -s ignorerar -L och -P. Annars styr den sist angivna flaggan beteendet när ett MÅL är en symbolisk länk, som standard -P.

UPPHOVSMAN
Skrivet av Mike Parker och David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
link(2), symlink(2)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/ln>
eller tillgängligt lokalt via: info '(coreutils) ln invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.